Menu

## Creator

Creator.php : 14

Provides methods for creating new entities.

### Table of Contents

create() : CreateableInterface
  Creates and returns an entity instance and fills values.

### Methods

#### create()

Creator.php : 25

Creates and returns an entity instance and fills values.

`public static create(array<string|int, mixed> $arguments) : CreateableInterface`

##### Parameters

$arguments : array<string|int, mixed>

  The values the instance should get

##### Tags

throws
  WrongTypeException|UnexpectedArrayKeyException
throws
  AttributeMissingException

##### Return values

CreateableInterface —

The created Entity

## Search results